#!/usr/bin/env python
# vim: set ts=4 sts=4 sw=4 textwidth=92:

"""
A package which has many different types of PAR2Sets and their corresponding
detection functions.

Each (non-base) class in this package is able to repair, extract, and delete
extra files from the corresponding set of files.
"""

__author__    = "Ira W. Snyder (devel@irasnyder.com)"
__copyright__ = "Copyright (c) 2006, Ira W. Snyder (devel@irasnyder.com)"
__license__   = "GNU GPL v2 (or, at your option, any later version)"

import Base
import ExtractFirstBase
import ExtractFirstNewRAR
import ExtractFirstOldRAR
import Join
import NewRAR
import OldRAR
import ZIP
import NoExtract

__all__ = ['Base', 'ExtractFirstBase', 'ExtractFirstNewRAR', 'ExtractFirstOldRAR', 'Join',
		'NewRAR', 'OldRAR', 'ZIP', 'NoExtract']

