#!/usr/bin/env python
# vim: set ts=4 sts=4 sw=4 textwidth=92:

"""
Module which holds global variables needed throughout the rarslave project.
"""

__author__    = "Ira W. Snyder (devel@irasnyder.com)"
__copyright__ = "Copyright (c) 2006,2007 Ira W. Snyder (devel@irasnyder.com)"
__license__   = "GNU GPL v2 (or, at your option, any later version)"

#    globals.py -- global variable storage for the rarslave project
#
#    Copyright (C) 2006,2007  Ira W. Snyder (devel@irasnyder.com)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import rsutil.config

# I know that this sucks majorly, but I kinda need it to keep things
# sane in the code. I don't /want/ to have to keep passing the config
# and options around all the time.

# This will hold the configuration from the configuration file. This should
# only be used to hold statically, non-runtime alterable content.
config  = rsutil.config.config ()

# This will hold the configuration from the command-line options. You should
# probably be using this to get values in most cases. It takes its defaults
# from the configuration file.
options = None

